Update an allow/deny list entry
curl --request PATCH \
--url https://api.ocean.security/api/v1/settings/allow_deny_entries/{id} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"comment": "<string>"
}
'import requests
url = "https://api.ocean.security/api/v1/settings/allow_deny_entries/{id}"
payload = { "comment": "<string>" }
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({comment: '<string>'})
};
fetch('https://api.ocean.security/api/v1/settings/allow_deny_entries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": {
"comment": "<string>",
"created_at": "<string>",
"created_by": "<string>",
"id": "<string>",
"value": "<string>"
},
"status": 123
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Allow/Deny List
Update an allow/deny list entry
Patches a tenant allow/deny entry. Only list, verdict_scope, and comment are mutable. Omitted fields are left unchanged.
PATCH
/
api
/
v1
/
settings
/
allow_deny_entries
/
{id}
Update an allow/deny list entry
Authorizations
API key for authentication
Headers
Authentication API Key
Path Parameters
Allow/deny entry id
Body
application/json
Fields to update
⌘I
